明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 864|回复: 2

如何获取多行文字的当前对齐状态?

[复制链接]
发表于 2015-1-12 09:17:35 | 显示全部楼层 |阅读模式
我现在有Proe导出的CAD文件,其中有部分文字的对齐状态需要更改。如:左上对齐的文字需更改为左中对齐,右上对齐的文字为右中对齐。
找到了设置文字的对齐样式使用AttachmentPoint,但是获取当前的文字对齐方式怎么弄?求教!
发表于 2015-1-12 09:57:26 | 显示全部楼层
摘自《明经通道 Auto CAD ActiveX 和VBA 参考》
Sub Example_AttachmentPoint()
    Dim MTextObj As AcadMText
    Dim width As Double
    Dim text As String
    Dim count As Integer
    Dim attachPoint As String
    Dim corner(0 To 2) As Double
        
    corner(0) = 3#: corner(1) = 3#: corner(2) = 0#
    width = 10
    text = "Hello, World."
    ' Creates a MText object in model space
    Set MTextObj = ThisDrawing.ModelSpace.AddMText(corner, width, text)

    For count = 1 To 9
        MTextObj.AttachmentPoint = count
   
        ' Gets the attachment point of an MText object
        attachPoint = Choose(MTextObj.AttachmentPoint, "TopLeft", "TopCenter", "TopRight", "MiddleLeft", "MiddleCenter", "MiddleRight", "BottomLeft", "BottomCenter", "BottomRight")
   
        ThisDrawing.Regen True
        MsgBox "The attachment point of the MText is now: " & attachPoint, vbInformation, "AttachmentPoint 示例"
    Next
End Sub
 楼主| 发表于 2015-1-12 21:15:47 | 显示全部楼层
wwswwswws 发表于 2015-1-12 09:57
摘自《明经通道 Auto CAD ActiveX 和VBA 参考》
Sub Example_AttachmentPoint()
    Dim MTextObj As Aca ...

。。。之前看了好几遍居然没看出来,我居然也从来没试过。谢谢啦!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 12:32 , Processed in 0.174930 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表